Download it now!
Bug 129586 - Dropdown lists too narrow in Conditional Formatting - Icon Set editor
Summary: Dropdown lists too narrow in Conditional Formatting - Icon Set editor
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-12-23 15:25 UTC by Xisco Faulí
Modified: 2020-01-07 15:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-23 15:25:13 UTC
Steps to reproduce:
1. Open calc
2. Go to Format - Conditional - Icon Set

-> Dropdown lists next to text boxes are too narrow

reproduced in

Version: 6.5.0.0.alpha0+
Build ID: dee81fb2e1df5091702b3c8b0e4a3f2b58e89291
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Thanks to Kompi for mentioning it in the IRC channel
Comment 1 Xisco Faulí 2019-12-23 15:26:33 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=0ff8140676877f7a37ceb14d9ba797d6e2a18cf6

author	Caolán McNamara <caolanm@redhat.com>	2019-09-30 16:27:24 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-10-01 09:55:16 +0200
commit	0ff8140676877f7a37ceb14d9ba797d6e2a18cf6 (patch)
tree	32a1e15ee2efed45924bb7e82da63a8be081b1a7
parent	eac301701e4f24a407c2b9df69e925e3d9cb4733 (diff)
Resolves: tdf#126781 force comboboxes to take 1/3 avail space

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-01-06 12:35:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/884714b336696202adffe6f4684127c0f2758c14

Resolves: tdf#129586 icon combobox is not in the same grid as the others

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2020-01-06 12:37:23 UTC
fixed in master, backport to 6-4 in gerrit
Comment 4 Commit Notification 2020-01-06 15:06:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/e216deb1cddd398a42ea85fb51e529ed8db31628

Resolves: tdf#129586 icon combobox is not in the same grid as the others

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-01-07 15:53:21 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: bf540873f5e258452fed5006f65a403c95e7872a
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!